import { defineStore } from 'pinia'
import config from '@/setting/config.js'

export const useSettingStore = defineStore({
  id: 'project-setting',
  state: () => ({
    ...config
  }),
  getters: {
    getMenuMode() {
      return this.menuMode
    },
    getHeaderSetting() {
      return this.headerSetting
    },
    getSidebarSetting() {
      return this.sidebarSetting
    },
    getTagsMenuSetting() {
      return this.tagsMenuSetting
    }
  },
  actions: {
  }
})
